package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 员工类型(1.全职,2.兼职,3.实习)枚举类
*
* @author zxfei
*/
public enum StaffTypeEnum {
    全职(1, "全职"),
    兼职(2, "兼职"),
    实习(3, "实习");
    private Integer value;
    private String desc;

    StaffTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static StaffTypeEnum getByValue(Integer value) {
        for (StaffTypeEnum staffTypeEnum : StaffTypeEnum.values()) {
            if (staffTypeEnum.getValue() == value) {
                return staffTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (StaffTypeEnum item : StaffTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}